2013-09-23  Alan Modra  <amodra@gmail.com>

	* Makefile.in: Regenerate.

2006-05-11  Dave Brolley  <brolley@redhat.com>

	* elfload.c (readElfFile): symTabEntry is now 24 bytes in length.
	Add 64 bit support for SHT_STRTAB and SHT_SYMTAB. Add 64 bit support
	for reading the symbol table.

2005-12-16  Nathan Sidwell  <nathan@codesourcery.com>

	Second part of ms1 to mt renaming.
	* Makefile.am: Rebuilt.
	* Makefile.in: Rebuilt.

2005-08-19  Dave Brolley  <brolley@redhat.com>

	* Contribute the following changes:

	2005-07-13  Dave Brolley  <brolley@redhat.com>

	* compLoader.cxx (generic_loader): Inherit virtually from
	fixed_attribute_map_component. Inherit from no_relation_component.

	2005-06-06  Dave Brolley  <brolley@redhat.com>

	* elfload.c (readElfFile): Return and empty symbol table if none found.

	* compLoader.cxx: Add using cleause for
	sidutil::configurable_component.
	(generic_loader): fixed_pin_map_component and configurable_component
	inherited virtually.
	(configure): New virtual override in generic_loader.
	(check_function_pin_handler): Return the empty string if no function
	is associated with the given address.
	* sw-load-elf.xml: Add description of new interfaces.
	* sw-load-elf.txt: Regenerated.

	2005-05-29  Dave Brolley  <brolley@redhat.com>

	* elfload.h (StringTable, Symbol): New struct types.
	(readElfFile): New takes symbol_table argument.
	(SHT_SYMTAB, SHT_STRTAB, ELF32_ST_TYPE, STT_FUNC): New macros.
	* elfload.c (stringTables,stringTableCount,stringTableNum): New
	static variables.
	(newStringTable): New static function.
	(symbolTable,symbolCount,symbolNum): New static variables.
	(newSymbol): New static function.
	(readElfFile): New takes symbol_table argument. Build string tables and
	symbol table while reading the input file.
	* compLoader.cxx (elf_loader): New constructor.
	(load_it): Obtain symmol_table from readElfFile.
	(check_function_pin,symbol_table,current_function): New members
	of elf_loader.
	(check_function_pin_handler): New method of elf_loader.

2005-06-03  Jim Blandy  <jimb@redhat.com>

	* Makefile.am (LIBIBERTY): Link against the libiberty.a from
	libiberty/pic, not the non-PIC version in libiberty.
	* Makefile.in: Regenerated with Automake 1.9.5.

2005-05-12  Dave Brolley  <brolley@redhat.com>

	* compLoader.cxx (probe_address): New method of loader_probe_bus.
	(loader_probe_bus::write): Call probe_address.
	(handle_probe_pin): New method of generic_loader.
	(generic_loader): Initialize probe_pin and add "probe" pin.
	* sw-load-elf.xml: Describe the new pin.
	* sw-load-elf.txt: Regenerated.

2004-06-29  Stan Cox  <scox@redhat.com>

	* compLoader.cxx (generic_loader):  Add eflags_pin.
	(elf_loader): Add eflags.
	(load_it): Set eflags.
	* elfload.c (readElfFile): Add eflags.

2004-05-10  Frank Ch. Eigler  <fche@elastic.org>

	* elfload.c (textSectionAddress): Fix declaration placement typo.

2004-04-29  Dave Brolley  <brolley@redhat.com>

	* elfload.c (textSectionAddress): Check section table before accessing.
	* compLoader.cxx (loader_probe_bus): Initialize section_table.

2004-02-26  Dave Brolley  <brolley@redhat.com>

	* elfload.c (textSectionNum): Now file level static.
	(readElfFile): Initialize textSections, textSectionNum and
	textSectionCount for each load. Set *section_table after all
	sections have been saved.

2004-02-23  Dave Brolley  <brolley@redhat.com>

	* elfload.c (readElfFile): Get address from offset 16 for 64 bit and
	offset 12 for 16 bit.

2004-02-14  Dave Brolley  <brolley@redhat.com>

	* Makefile.am (INCLUDES): Add $(srcdir)/../../../include to find
	libiberty.h.
	* Makefile.in: Regenerated.

2004-02-12  Dave Brolley  <brolley@redhat.com>

	* elfload.h: Use 'unsigned long long' instead of host_int_8.
	(struct TextSection): Moved here from elfload.c
	(SHF_EXECINSTR): New macro.
	* elfload.c (loadAreas): Now a pointer to a dynamically allocated
	table.
	(textSections): Ditto.
	(newLoadArea): New static function.
	(newTextSection): Ditto.
	(textSectionAddress): Now takes a pointer to a section table.
	(readElfFile): fileHeader, psymHdr, secHdr now automatic arrays.
	Allocate loadAreas and textSections as required. Build textSections
	from the ELF section table; one for each executable loaded.
	* compLoader.cxx (sid::host_int_8): Add 'using' clause.
	(textSegmentAddress): renamed to textSectionAddress and moved to
	elfload.h.
	(setSection_table): New method of loader_probe_bus.
	(SID_GB_WRITE): Call textSectionAddress and pass section_table.
	(section_table): New member of loader_probe_bus.
	(load_it): Get section_table address from readElfFile.
	* Makefile.am (LIBIBERTY): New variable.
	(libloader_la_LIBADD): Add $(LIBIBERTY).
	* Makefile.in: Regenerated.

2003-10-07  Dave Brolley  <brolley@redhat.com>

	* compLoader.cxx (loader_probe_bus): Now takes pin as an argument.
	Remove warn_write_to_code_p. Initialize write_to_code_address_pin.
	(SID_GB_WRITE): Drive write_to_code_address_pin instead of
	generating a message here.
	(write_to_code_address_pin): New member of generic_loader.
	(set_warn_write_to_code): Removed.
	(generic_loader): remove "warn-write-to-code?" attribute and pin.
	Add "write-to-code-address" pin.
	* sw-load-elf.xml: Remove reference to "warn-write-to-code?" pin
	and attribute. Document "write-to-code-address" pin.
	* sw-load-elf.txt: Regenerated.

2003-10-07  Dave Brolley  <brolley@redhat.com>

	* compLoader.cxx: Use sidutil::fixed_bus_map_component.
	(loader_probe_bus): New class.
	(warn_write_to_code_pin): New member of generic_loader.
	(probe_upstream): Ditto.
	(probe_downstream): Ditto.
	(set_warn_write_to_code): New method of generic_loader.
	(generic_loader): Now inherits fixed_bus_map_component.
	Initialize new members.

2003-10-07  Dave Brolley  <brolley@redhat.com>

	For Stan Cox  <scox@redhat.com>
	* elfload.c (textSegmentAddress): New function.
	* elfload.h (textSegmentAddress): Likewise.

2002-02-05  Dave Brolley  <brolley@redhat.com>

	* elfload.c (readElfFile): Obtain the load address from offset 24 for
	elf64 and from offset 12 for elf32.

2001-08-15  John Healy  <jhealy@redhat.com>

	* sw-load-elf.xml: Changed "set loader file" to "set cpu-loader file".
	* sw-load-elf.txt: Ditto.

2001-08-03  matthew green  <mrg@redhat.com>

	* compLoader.cxx (~generic_loader): Add prototype.

2001-07-11  Frank Ch. Eigler  <fche@redhat.com>

	* sw-load-elf.xml: Add <?xml ... ?> prefix.

2001-07-04  graydon hoare  <graydon@redhat.com>

	* configure.in: Add maintainer-mode doc building configury.
	* configure: Regenerate.
	* Makefile.am: Add maintainer-mode doc building.
	* Makefile.in: Regenerate.

2001-07-04  Ben Elliston  <bje@redhat.com>

	* sw-load-elf.txt: Generate.

2001-06-27  graydon hoare  <graydon@redhat.com>

	* sw-load-elf.xml: Add.

2001-06-22  Ben Elliston  <bje@redhat.com>

	* compLoader.cxx (elf_loader::load_function): Don't loop while
	memory appears delayed -- just write.

2001-04-03  Frank Ch. Eigler  <fche@redhat.com>

	* compLoader.cxx (load_it): Emit verbose message for starting_pc.

2001-03-23  John Healy  <jhealy@redhat.com>

	* Makefile.in: Regenerated.

2001-01-13  matthew green  <mrg@redhat.com>

	* compLoader.cxx (load_accessor): Delete member.
	(load_accessor_insn, load_accessor_data): New bus* members.
	(ctor): Initialise load_accessor_insn and load_accessor_data.
	Add `load-accessor-insn' and `load-accessor-data' accessors
	and delete `load-accessor'.
	(load_function): Extend to 64 bit addresses, and have an instruction
	space identifier.
	(load_it): Check both load_accessor_insn and load_accessor_data are set,
	and use the appropriate one.  Extend messages to meantion instruction or
	data loads.
	* elfload.h (fetchQuadLittle, fetchQuadBig, fetchQuad): New macros.
	(PFLOAD): Make 64-bit & Harvard address space friendly
	(sw-load-elf.txt): Document `load-accessor-insn' and `load-accessor-data'
	accessors.
	* elfload.c (readElfFile): Support 64-bit ELF as well as 32-bit ELF.
	* sw-load-elf.txt: Document `load-accessor-insn' and `load-accessor-data'
	accessors.

2000-11-21  Frank Ch. Eigler  <fche@redhat.com>

	* Makefile.in: Regenerated.

2000-10-11  matthew green  <mrg@redhat.com>

	* compLoader.cxx (elf_loader::load_function): When printing dest_addr,
	pass it to make_numeric_attribute as a (void *).

2000-07-19  Frank Ch. Eigler  <fche@redhat.com>

	* Makefile.in: Regenerated.

2000-05-26  Frank Ch. Eigler  <fche@redhat.com>

	* compLoader.cxx: Import more std:: identifiers.
	(load_function): Use make_numeric_attribute, not hex<<value<<dec idiom.

2000-01-25  Frank Ch. Eigler  <fche@redhat.com>

	* Makefile.in: Regenerated.

2000-01-12  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Regenerated.

1999-12-09  Faisal Khoja  <fkhoja@cygnus.com>

	* Makefile.in: Regenerated.

1999-12-08  Faisal Khoja  <fkhoja@cygnus.com>

	* Makefile.in: Regenerated.

1999-12-07  Frank Ch. Eigler  <fche@cygnus.com>

	* sw-load-elf.txt: New file.  Renamed from
	* README: Removed.
	* Makefile.am: Install new file.
	* Makefile.in: Regenerated.

1999-12-03  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (generic_loader ctor): Initialize pointer member.

1999-11-23  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (load_it): Take unused argument.
	Drive output pin with sentinel value.
	(compLoaderDelete): Use dynamic_cast<>.

1999-11-17  Faisal Khoja  <fkhoja@cygnus.com>

	* compLoader.cxx: Removed extra decl. of using sid::host_int_4.

1999-11-01  Permaine Cheung  <pcheung@cygnus.com>

	* README: Fix pin names and component names in the configuration
	of Environment section.

1999-10-19  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Regenerated.

1999-09-25  Doug Evans  <devans@casey.cygnus.com>

	* compLoader.cxx (elf_loader::load_function): Print error message
	address in hex.

1999-09-13  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (*): Use host_int_X, not compiler_int_X.

1999-09-07  Mary Lynn Kostash  <mkostash@cygnus.com>

	* README:  Minor grammatical changes.

1999-08-27  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (*): Use cout for verbose messages, not cerr.
	Prefix messages with "loader:" consistently.
	(error_pin): New member.
	(generic_loader ctor): Export it as "error".  Remove obsolete
	"verbose" attribute.
	(load_it): Drive it if load operation failed.
	* README: Document error pin.  Remove verbose attribute alias.

1999-08-24  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (load_it): Use sidutil::std_error_message.
	* Makefile.in: Regenerated.

1999-08-20  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (load_it): Use sidutil::endian instead of sid::endian.
	(operator >>): Use ANSI setstate() instead of setf().

1999-08-11  Ian Carmichael  <iancarm@cygnus.com>

	* compLoader: (*) Change big_int_N and little_int_N so that
	the default operations all use their integer values.

1999-08-09  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (generic_loader ctor): Add attribute categories for
	target view.
	(load_it): Take no argument.  Load unconditionally.
	* README: New documentation file.
	* loadtest.conf.in: Removed.
	* Makefile.in: Regenerated.

1999-08-03  Faisal Khoja  <fkhoja@cygnus.com>

	* compLoader.cxx: Introduce proper namespace usage.

1999-07-05  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Regenerated.
	* aclocal.m4: Ditto.
	* configure: Ditto.
	* configure.in: Ditto.

1999-06-11  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (operator <<,>>): Encode strings safely.

1999-06-09  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (compLoaderDelete): New function.
	(loader_component_library): Register it.

1999-06-08  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (compLoaderListTypes, compLoaderCreate):
	Renamed type "elf-loader" -> "sw-load-elf".
	* loadtest.conf.in: Updated with new component type names.

1999-05-26  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (load_it): Print an error message if C loader
	subroutine failed.

1999-05-25  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx: #include <cerrno>.

1999-05-21  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (load_it): Take host_int_4 arg.
	(elf_loader::load_it): Open executable with ios::binary flag.
	Present better error messages.  Prevent reload upon shutdown.
	* configure.in: Check for strerror().
	* configure: Regenerated.

1999-05-18  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (restore_state): Return sid::component::status.

1999-05-13  Frank Ch. Eigler  <fche@cygnus.com>

	* aclocal.m4: Regenerated.

1999-05-11  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx: Add usual state save/restore code.  Add "verbose?"
	attribute; deprecate old "verbose".

1999-05-09  Doug Evans  <devans@casey.cygnus.com>

	* compLoader.cxx (generic_loader): New member endian_pin.
	(generic_loader::generic_loader): Add pin "endian-set".
	(elf_loader::load_it): Update call to readElfFile.  Indicate endianness
	to listeners of endian-set pin.
	* elfload.c (readElfFile): Change result to success indicator.
	New args entry_point, little_endian.
	* elfload.h (readElfFile): Update prototype.

1999-05-04  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (loader_component_library): DLLEXPORT it.
	* configure.in: Look for libltdl.  Be win32-dll-capable.
	* configure: Regenerated.
	* config.in: Ditto.
	* aclocal.m4: Regenerated for new libtool.
	* Makefile.in: Ditto.

	* loadtest.conf.in: Use .la component DSO names.

1999-04-21  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.am (LDFLAGS): Add -no-undefined
	* Makefile.in: Regenerated.

	* compLoader.cxx (generic_loader ctor): Qualify member function
	pointers.

1999-04-03  Ron Unrau  <runrau@cygnus.com>

	* compLoader.cxx: swap addr<->data in bus::read and bus::write

1999-03-30  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (load_function): Use normal cast instead
	of scary reinterpret_cast<>.

1999-03-24  Frank Ch. Eigler  <fche@cygnus.com>

	* configure.in: Use new AC_CONFIG_AUX_DIR.
	* configure: Regenerated.
	* Makefile.am: Build libtool -modules.
	* Makefile.in: Regenerated.

1999-03-17  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (doit_pin): Use callback_pin.
	(load_it): Use host_int_4 instead of host_int_8 for PC.
	* loadtest.conf.in: Reduce load iteration count.

1999-03-16  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx: Adapt to renamed COMPONENT_LIBRARY_MAGIC macro.

1999-03-10  Ron Unrau  <runrau@cygnus.com>

	* compLoader.cxx: incorporate revised pin API

1999-03-05  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (class generic_loader): Remove unneeded virtual
	inheritance.  Add relationship API stub.

1999-02-26  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx: Clean up some warnings.

1999-02-12  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (generic_loader): Add and use "verbose"
	attribute.

	* Makefile.am: Switch to foreign mode.  Adjust for automake 1.4.
	* configure.in: Adjust for autoconf 2.13.
	* Makefile.in: Rebuilt.
	* aclocal.m4: Rebuilt.
	* configure: Rebuilt.

1999-02-02  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (generic_loader): Use fixed_attribute_map mixin.
	(load_pin::driven): Ignore zero value.
	(load_it): Drive pin "start-pc-set" with ELF entry point.
	* elfload.c (readElfFile): Return ELF entry point.
	* elfload.h: Update prototype
	* loadtest.conf.in: Arrange to drive load! pin only once, on startup.

1999-01-08  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx (generic_loader): Use fixed_accessor_map_component
	mixin.

1999-01-07  Frank Ch. Eigler  <fche@cygnus.com>

	* compLoader.cxx: New file.  Define elf-loader
	component.  Experimental.
	* elfload.[ch]: New files, borrowed from Cygmon.
	* loadtest.conf.in: New file.  Instantiate new components.
	Cannot run out-of-the-box.
	* Makefile.am: New file.  Build libloader.la from sources.
	* Makefile.in: Generated new file.
	* configure.in: New file.
	* configure: Generated new file.
	* aclocal.m4: Generated new file.
